Bug Hunting Session
Bug 124471 - Change bullet styles names in Style section of Sidebar in Writer
Summary: Change bullet styles names in Style section of Sidebar in Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Sidebar-Styles Writer-Styles-List
  Show dependency treegraph
 
Reported: 2019-04-01 14:08 UTC by Roman Kuznetsov
Modified: 2019-08-22 13:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup (14.72 KB, image/png)
2019-04-01 14:09 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-04-01 14:08:49 UTC
Description:
Change bullet styles names in Style section of Sidebar in Writer
Now, after fixing of the bug 106988 we have nice numbering list style's names in Sidebar.
But still there are old names like "List 1", "List 2" for bullet list styles there. It's not very good for users.
I suggest change bullet list style's names to more intuitive (see attach)

Steps to Reproduce:
1. See attach

Actual Results:
We have old non informative bullet style names in Sidebar

Expected Results:
We have more intuitive bullet style names in Sidebar


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2019-04-01 14:09:34 UTC
Created attachment 150453 [details]
Mockup
Comment 2 Heiko Tietze 2019-04-02 07:17:44 UTC
Try to modify the strings in /sw/inc/strings.hrc #206 STR_POOLNUMRULE_BUL1..STR_POOLNUMRULE_BUL5. Make sure the used symbol is standard.
Comment 3 Roman Kuznetsov 2019-04-02 07:27:39 UTC
(In reply to Heiko Tietze from comment #2)
> Try to modify the strings in /sw/inc/strings.hrc #206
> STR_POOLNUMRULE_BUL1..STR_POOLNUMRULE_BUL5. Make sure the used symbol is
> standard.

Special symbols in my mockup are symbols from Open Symbol font. This font is from standard distribution of LibreOffice
Comment 4 Roman Kuznetsov 2019-04-02 08:36:39 UTC
https://gerrit.libreoffice.org/#/c/70121/

symbols in style names correspond with appropriate bullets in styles
Comment 5 Commit Notification 2019-04-04 10:43:27 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/43c44f7c82fdcf7e5e6eccb0a80d5bb0e1e3a86c%5E%21

tdf#124471 Change bullet styles names in Style section of Sidebar

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Roman Kuznetsov 2019-04-06 14:41:02 UTC
verified in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 35d9a2618dc0116378ab795a7b9277d248c5afd4
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-05_04:55:04
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 7 Heiko Tietze 2019-04-08 06:55:06 UTC
(In reply to Roman Kuznetsov from comment #6)
> verified in...


And thanks for adding it to the release notes. We must not forget to advertise those nice design goodies.
Comment 8 Daniel Grigoras 2019-08-21 11:06:45 UTC
What if there are multiple lists having the same bullets, but different indentations, or starting with the same bullet for level 1, but continuing with different bullets for subsequent levels?

In my case, having two lists with the same bullets and bullet structure, but with one having a different indentation of the list items led to the second list style not being shown among the list styles. For example, List 1 and List 5 had the same bullets, with List 5 only having the list items indented. List 1 was displayed as "Bullet •", but List 5 was not shown anywhere when I worked with v6.3, which is why I now downgraded to v6.2
Comment 9 Roman Kuznetsov 2019-08-22 13:14:16 UTC
(In reply to Daniel Grigoras from comment #8)
> What if there are multiple lists having the same bullets, but different
> indentations, or starting with the same bullet for level 1, but continuing
> with different bullets for subsequent levels?
> 
> In my case, having two lists with the same bullets and bullet structure, but
> with one having a different indentation of the list items led to the second
> list style not being shown among the list styles. For example, List 1 and
> List 5 had the same bullets, with List 5 only having the list items
> indented. List 1 was displayed as "Bullet •", but List 5 was not shown
> anywhere when I worked with v6.3, which is why I now downgraded to v6.2

Please file an another bug report, add me to CC and add this bug report in "See also" list